LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-18-2013, 07:58 AM   #1
parklife
LQ Newbie
 
Registered: Dec 2013
Posts: 2

Rep: Reputation: Disabled
What version of Linux should I use that does not need PAE


Hi,
I am a complete, utter novice to Linux, and I was looking for a version of Linux I can install on my old Dell Latitude 505 laptop which does not need PAE (whatever that is). If possible a version that will simply install on the hard drive, over everything, making it the only OS on my laptop.
I tried a couple of versions but on selecting the "install" option, the top of my display became blocky and corrupt and the whole thing froze (that was Zorin and Fedora both from DVD). Another version returned a message telling me I needed PAE then stopped the system.
I would be very grateful for any advice please remember you are talking to a simpleton though ! Thank You.
 
Old 12-18-2013, 08:20 AM   #2
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian i686 (solaris)
Posts: 8,133

Rep: Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273Reputation: 2273
https://www.dell.com/downloads/us/pr.../d505_spec.pdf
based on this info you do not need pae kernel at all. it is a really old 32 bit system.
You can check these threads:
http://www.linuxquestions.org/questi...mb-4175484433/
http://www.linuxquestions.org/questi...ui-4175485019/
 
1 members found this post helpful.
Old 12-18-2013, 08:25 AM   #3
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
Hi

lets start with your specs-----if you mean D505??
http://www.dell.com/downloads/us/pro.../d505_spec.pdf

according to above link you have a max of 2G of RAM not sure why a un-named linux distro thought you needed a PAE kernel
http://en.wikipedia.org/wiki/Physical_Address_Extension

2) so lets start with some basics
as a newbie, I highly recommend you do NOT install linux until you tried a linux live cd or dvd on your dell

3) some things you know about windows and drivers we will roughly translate for you

it is the Linux kernel that provides most of the drivers for your dell but also may need some software

the ones that will interest me are
video..... you have intel so xserver-xorg-video-intel is the likely package you need on the live cd/dvd
wireless....I can't tell from specs alone
-----but you need a graphical control panel to search for your wireless router....package is wicd-gtk
------but you may only use ethernet??

google says you have
Network controller [0280]: Broadcom Corporation BCM4306 802.11a/b/g [14e4:4324] (rev 03)
Subsystem: Dell Truemobile 1450 MiniPCI [1028:0003]


and the list shows its your last mention of dell in this list
http://wireless.kernel.org/en/users/Drivers/b43/devices

so it appears you need the b43 driver but which one?

in the linux live cd....come back and post your result to this command

Code:
lspci
either you have need of http://wireless.kernel.org/en/users/Drivers/b43
b43 or b43legacy

now if we on the right track you can also try the command in that link which is
Code:
lspci -vnn -d 14e4:
thats because manufacturer IDs are fixed and its only the model we need

good luck

ok
short list of live media to try

linuxmint
ubuntu
 
1 members found this post helpful.
Old 12-18-2013, 08:26 AM   #4
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,130
Blog Entries: 2

Rep: Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825
antiX should work, also if you install Slackware using the non-SMP kernel. The problem is not that you need a PAE enabled kernel, but that you have a CPU which doesn't support PAE, which rules out most modern distros, which have kernels that need PAE to be present.

Last edited by TobiSGD; 12-18-2013 at 08:27 AM.
 
1 members found this post helpful.
Old 12-18-2013, 08:26 AM   #5
johnsfine
LQ Guru
 
Registered: Dec 2007
Distribution: Centos
Posts: 5,286

Rep: Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181
How much ram does it have? That laptop was sold standard with 128MB of ram (which is too little for most current distributions of Linux) and supported third party ram upgrades to as much as 2GB (which would be plenty for most Linux distributions).

Most 32 bit Linux distributions have switched to requiring PAE (for the distribution that is a kernel build-time option) because computers without PAE tend to be obsolete junk, worse than what other people are throwing away. But Linux has a wide range of variety. I'm sure some Linux distributions don't yet require PAE, and those are likely to be the same ones that would be usable with 128MB of ram.

I think Pan64 and Aus9 are confused over which PAE issue you saw. I think they are talking about situations where the kernel did not have PAE support and the memory size required PAE. You seem to have the situation where the kernel does have PAE support and the CPU does not have PAE support.

When one builds a Linux kernel, either the kernel lacks PAE support and can't use ram that requires PAE, or the kernel includes PAE support and can't run on a CPU that lacks PAE support. That is in contrast to SMP. If a kernel lacks SMP support then it can't use the hardware SMP. But if a kernel includes SMP and the hardware does not, the kernel can still run just fine. The kernel SMP support wastes a trivial amount of ram and cpu time if the hardware lacks SMP.

I don't know Slackware, so maybe TobiSGD's advice of "non SMP kernel" is correct. You don't care whether your kernel includes SMP support and maybe the Slackware "non SMP kernel" also omits PAE support. But anyway, I don't think Slackware is a good beginner choice. antiX is also more for an expert with minimal hardware than for a beginner with minimal hardware. But antiX is less beginner vicious than Slackware.

Last edited by johnsfine; 12-18-2013 at 08:36 AM.
 
1 members found this post helpful.
Old 12-18-2013, 09:46 AM   #6
TroN-0074
Senior Member
 
Registered: Dec 2011
Location: Michigan USA
Distribution: OpenSUSE 13.2 64bit-Gnome on ASUS U52F
Posts: 1,444

Rep: Reputation: 340Reputation: 340Reputation: 340Reputation: 340
I think OpenSUSE will do, however if you download an ISO for OpenSUSE they offer Gnome or KDE and frankly I am not sure if your laptop will have good performance with these graphical environment so suggestions is: Download the net install 32BIT ISO and make sure you have wired connected your laptop for installation once you start with the installation select either LXDE, Xfce or Enlightenment 17 for graphical interface.

Now Dell computer are tricky with wireless because the majority require the broacom wireless driver I think the installer will ask you if you want close source software to be installed at that point select yes too.

good luck to you.
 
1 members found this post helpful.
Old 12-18-2013, 10:11 AM   #7
snowpine
Senior Member
 
Registered: Feb 2009
Posts: 4,050

Rep: Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108Reputation: 1108
Quote:
Originally Posted by parklife View Post
Hi,
I am a complete, utter novice to Linux...
Based on this statement, I highly recommend that you buy, beg, borrow, or steal a computer with better hardware specs. Something from this decade, ideally. I say this because learning Linux is a challenge, and running Linux on ancient hardware is also a challenge, so you have set up a pretty steep learning curve for yourself. Even intermediate/advanced users would struggle to get Linux running usefully on such old hardware.

If a hardware upgrade is absolutely out of the question, then I agree AntiX is probably your best choice. Here are some suggestions of fun project ideas you can do with Linux on your old Dell: http://kmandla.wordpress.com/2007/09...-old-computer/

Good luck!
 
1 members found this post helpful.
Old 12-18-2013, 10:26 AM   #8
Shadow_7
Senior Member
 
Registered: Feb 2003
Distribution: debian
Posts: 2,330
Blog Entries: 1

Rep: Reputation: 449Reputation: 449Reputation: 449Reputation: 449Reputation: 449
You could run pretty much any linux distro. But you might have to compile a custom kernel without pae in it. With only 128MB of ram you're limited. You'll need swap space as ram that doesn't exist uses the swap space as ram. In either case it will be very very very very very very slow.

PAE basically allows you to use larger amounts of RAM in 32 bit machines. I would think that a pae kernel would run on that hardware since you don't have the ram that it would try to use. But I could be wrong. You could probably use X + JWM, but I wouldn't be expecting to use a modern browser without swapping slowing you down beyond human tollerable speeds.

The debian wheezy I run on a dell inspiron 1150 (512MB RAM) doesn't seem to have a PAE kernel. It has one, but it's not what I'm running on it as I didn't install that one. So debian 7.2 is one option I guess. If you install linux to removeable media, you could install and run the linux on a better machine to install a non-pae kernel, then boot it on the lesser machine. Dozens of ways to get there from here.
 
1 members found this post helpful.
Old 12-18-2013, 11:08 AM   #9
johnsfine
LQ Guru
 
Registered: Dec 2007
Distribution: Centos
Posts: 5,286

Rep: Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181Reputation: 1181
Quote:
Originally Posted by Shadow_7 View Post
you might have to compile a custom kernel
That is a useless suggestion to make to someone who can't yet get Linux installed. How would he compile a custom kernel. Generally it is a useless suggestion to make to a beginner, even if they have already installed Linux.

Quote:
I would think that a pae kernel would run on that hardware since you don't have the ram that it would try to use.
A kernel with PAE support will NOT RUN AT ALL on a CPU that lacks PAE support.

Quote:
If you install linux to removeable media, you could install and run the linux on a better machine to install a non-pae kernel, then boot it on the lesser machine. Dozens of ways to get there from here.
Someone who has the expertise and has a decent size usb drive and has a better machine to use temporarily to help setup of the old machine, MIGHT be able to do that. Do you know whether the BIOS in that laptop supports booting from a USB drive? If not, you would need even more skill to manage all that.

For a beginner, if you can't find an existing ISO file for a CD installer of a Linux that already fits the target system, more advanced ideas are just a fantasy.
 
1 members found this post helpful.
Old 12-18-2013, 12:15 PM   #10
DavidMcCann
Senior Member
 
Registered: Jul 2006
Location: London
Distribution: CentOS, Salix
Posts: 4,166

Rep: Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223Reputation: 1223
Let's get back on topic! You want a Linux that will run on a CPU without pae. Simple!

AntiX: works in 128MB
http://www.linuxquestions.org/review...page/15/sort/7

Bodhi: works in 128MB (just)
http://www.linuxquestions.org/review...page/15/sort/7

Crunchbang: needs at least 384MB
http://www.linuxquestions.org/review...page/15/sort/7

Mint Debian Edition: needs at least 512MB
http://www.linuxquestions.org/review...p/product/2545
 
2 members found this post helpful.
Old 12-18-2013, 01:03 PM   #11
TroN-0074
Senior Member
 
Registered: Dec 2011
Location: Michigan USA
Distribution: OpenSUSE 13.2 64bit-Gnome on ASUS U52F
Posts: 1,444

Rep: Reputation: 340Reputation: 340Reputation: 340Reputation: 340
Any Debian base or Ubuntu base distro requires PAE.
Even if the distro is aimed for underpower hardware the require still exist. I tried installed Bodhi Linux in my Thinkpad and I had no luck.

Look at this tread in the Debian forums

http://forums.debian.net/viewtopic.php?f=17&t=105200

Linux Mint might Work check the CPU requirements

http://linuxmint.com/rel_debian.php

Look at this one from the CrunchBang kids

http://crunchbang.org/forums/viewtopic.php?id=20343

Check out the Bodhi Linux Forums

http://forums.bodhilinux.com/index.p...on-pae-32-bit/
 
1 members found this post helpful.
Old 12-18-2013, 01:22 PM   #12
Shadow_7
Senior Member
 
Registered: Feb 2003
Distribution: debian
Posts: 2,330
Blog Entries: 1

Rep: Reputation: 449Reputation: 449Reputation: 449Reputation: 449Reputation: 449
Quote:
Originally Posted by johnsfine View Post
For a beginner, if you can't find an existing ISO file for a CD installer of a Linux that already fits the target system, more advanced ideas are just a fantasy.
Assuming the optical drive still works of course. You can boot usb devices with a grub cd on older machines, if they don't support booting usb natively (2006+). And other cd based bootloader tools other than grub to get there from here.

Finding old linux iso images is more difficult than it should be these days. All the debian ones are jigdo based now, including woody / 3.0. Which implies has linux to acquire them easily. But there is jigdo for windows.

http://atterer.org/jigdo/

http://cdimage.debian.org/
http://www.debian.org/CD/faq/#old
http://cdimage.debian.org/cdimage/archive/

Things are documented enough these days that I don't see how a newb would not be able to get linux working. It's not like changing autoexec.bat and config.sys for win95 was a deal breaker in those yester years. You either did that or convert your computer to a fire pit or a bird house. The way you put things you'd think that no one would be able start thier cars without voice assist. I'm sure those people exist, but the op got on the internet and knew enough to type. Or has skilled friends.
 
1 members found this post helpful.
Old 12-18-2013, 04:05 PM   #13
jefro
Moderator
 
Registered: Mar 2008
Posts: 15,409

Rep: Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208Reputation: 2208
We need specs first.


The OP needs to know that testing the download with md5 is a must. Burning the disc has to be done on high quality media and at the very slowest speeds. Older systems have to have very good disc's to even have a chance.
 
1 members found this post helpful.
Old 12-18-2013, 06:34 PM   #14
aus9
LQ Guru
 
Registered: Oct 2003
Posts: 5,124

Rep: Reputation: Disabled
yes I wrong to suggest linuxmint and ubuntu

lets start again

specs are up to a max of 2G and so we have tinycore

http://tinycorelinux.net/faq.html#req

Quote:
An absolute minimum of RAM is 46mb. TC won't boot with anything less, no matter how many terabytes of swap you have.
However, there range of graphical environments in the current series is less than the 4.7.7 series (AFAIK)

so you could try the latest live cd which includes most wireless drivers
http://tinycorelinux.net/5.x/x86/rel...us-current.iso

or for a bigger range (at the moment) of graphical environments try
http://tinycorelinux.net/4.x/x86/rel...us-current.iso

2) these iso images are also isohybrids so you can image them onto an usb stick

but I only know how to do that within Linux

Code:
sudo dd if=/pathway2/CorePlus-current.iso of=/dev/sdx
change sdx to sdb or sdc.....etc...depending on how many usb drives you have connected
when you connect the target stick you can see its letter (sdx) from checking /var/log/messages

3) if windows is still on your computer then can try

http://wiki.tinycorelinux.net/wiki:install_with_windows

but I have not tested this so good luck

If you do like Tinycore you may prefer to join their dedicated forum as there is no dedicated sub-forum here

The only trouble with tinycore, is its not designed as a kitchen sink distro but a toolkit where you decide what software to install

so you may wish to peruse the concepts
http://tinycorelinux.net/concepts.html

and wiki
http://wiki.tinycorelinux.net/wiki:start

cheers

joining their forum is free so do so to ask any further questions as I am not a member of their forum
so can not speak with any authority on their distro
http://forum.tinycorelinux.net/

but a crash course for the abbreviations

TCB is the tiny core Base ----the iso you download with basic software
TCE are the Extensions----what most others would call the software....eg web browser, text editor etc


dCore is a special mix -----to move from TCB to "get" debian packages to run as TCE
----I recommend you avoid this until you see if you can handle the TCB and TCE stuff first

good luck
 
1 members found this post helpful.
Old 12-18-2013, 07:03 PM   #15
TobiSGD
Moderator
 
Registered: Dec 2009
Location: Germany
Distribution: Whatever fits the task best
Posts: 17,130
Blog Entries: 2

Rep: Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825Reputation: 4825
Please, people, let us wait until the OP returns and tells us the actual specs of that machine, otherwise this all is just guesswork.
Tinycore may be fine on a system with 2GB of RAM, but it definitely is not on a system with 128MB of RAM (loading the complete filesystem into RAM is a bad idea if you don't have much RAM).
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Build driver failed in PAE platform with linux kernel 2.6.27.19-5-pae steven215 Programming 3 01-19-2014 06:11 PM
Puppy Linux 5.2 (Enabling PAE and etc) pecuna Linux - Newbie 2 03-03-2011 12:19 PM
Problems with Yum/automatic updates after changing i686 kernel to PAE-version MheAd Linux - Software 2 12-23-2009 05:05 AM
PAE support in linux-2.6.29.* vonbiber Linux - Kernel 6 05-02-2009 01:14 PM
KERNEL PANIC: Cannot execute a PAE-enabled kernel on a PAE-less CPU! ovais370 Linux - Laptop and Netbook 7 10-13-2007 06:49 PM


All times are GMT -5. The time now is 08:24 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration